# $Id: e-smith-runit.spec,v 1.13 2021/03/19 03:01:43 jpp Exp $

Summary: generic support framework for Gerrit Pape's runit package
%define name smeserver-runit
Name: %{name}
%define version 2.6.0
%define release 15
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.xz
#Patch7: e-smith-runit-2.6.0-bz9692-cleanup.patch

BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildRequires: e-smith-devtools
BuildArchitectures: noarch
Requires: runit >= 1.0.5
Provides: e-smith-daemontools = 1.7.1-09
Provides: e-smith-runit
Obsoletes: e-smith-daemontools
Obsoletes: supervise-scripts

%changelog
* Sat Mar 23 2024 Trevor Batley <trevor@batley.id.au> 2.6.0-15.sme
- move Provides: e-smith-runit to beginning of spec file

* Mon Mar 11 2024 rename-e-smith-pkg.sh by Trevor Batley <trevor@batley.id.au> 2.6.0-14.sme
- Rename to smeserver-runit [SME: 12359]

* Wed Jul 12 2023 cvs2git.sh aka Brian Read <brianr@koozali.org> 2.6.0-13.sme
- Roll up patches and move to git repo [SME: 12338]

* Wed Jul 12 2023 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Thu Mar 18 2021 Jean-Philippe Pialasse <tests@pialasse.com> 2.6.0-12.sme
-  reverting removal of deamontools [SME: 9692]
   could be needed for legacy support with rc7.d services

* Tue Mar 16 2021 Jean-Philippe Pialasse <tests@pialasse.com> 2.6.0-11.sme
- cleanup of /etc/rc.d [SME: 9692]

* Sun Jan 03 2021 Jean-Philipe Pialasse <tests@pialasse.com> 2.6.0-10.sme
- create e-smith-runit-update event [SME: 11156]
  also tidy target wantedby: should run from basic.target

* Thu Dec 03 2020 Jean-Philipe Pialasse <tests@pialasse.com> 2.6.0-9.sme
- fix issue with Before rules in unit file [SME: 11013]

* Sun Nov 08 2020 Jean-Philipe Pialasse <tests@pialasse.com> 2.6.0-8.sme
- run before network-pre.target [SME: 11088]

* Wed Sep 30 2020 Jean-Philipe Pialasse <tests@pialasse.com> 2.6.0-7.sme
- enable for sme-server.target [SME: 11013]

* Fri Jul 22 2016 Jean-Philipe Pialasse <tests@pialasse.com> 2.6.0-6.sme
- add systemd skip redirect  [SME: 9688]

* Mon Apr 11 2016 Jean-Philipe Pialasse <tests@pialasse.com> 2.6.0-5.sme
- start runit before bootstrap console [SME: 9352]

* Sun Mar 27 2016 Jean-Philipe Pialasse <tests@pialasse.com> 2.6.0-4.sme
- fix typo in patch [SME: 9366]

* Wed Mar 23 2016 Jean-Philipe Pialasse <tests@pialasse.com> 2.6.0-3.sme
- make runit working with systemd [SME: 9366]

* Fri Mar 18 2016 Jean-Philipe Pialasse <tests@pialasse.com> 2.6.0-2.sme
- rebuild for Bug [SME: 9347]

* Fri Feb 05 2016 stephane de Labrusse <stephdl@de-labrusse.fr> 2.6.0-1.sme
- Initial release to sme10

* Wed Jan 30 2013 Ian Wells <esmith@wellsi.com> 2.4.0-2.sme
- Remove 15runsvdir and create /etc/init/runit.conf, 
  by Charlie Brady [SME: 7325]

* Fri Jan 25 2013 Shad L. Lords <slords@mail.com> 2.4.0-1.sme
- Roll new stream for sme9

* Tue Oct 7 2008 Shad L. Lords <slords@mail.com> 2.2.0-1.sme
- Roll new stream to separate sme7/sme8 trees [SME: 4633]

* Wed Mar 26 2008 Shad L. Lords <slords@mail.com> 1.0.0-6
- Make daemontools script use same echo that is translated [SME: 4120]

* Sun Apr 29 2007 Shad L. Lords <slords@mail.com>
- Clean up spec so package can be built by koji/plague

* Fri Feb 16 2007 Shad L. Lords <slords@mail.com> 1.0.0-5
- Fix signals sent to prevent errors and delays [SME: 1179]

* Fri Feb 16 2007 Shad L. Lords <slords@mail.com> 1.0.0-4
- Change runsvctrl to sv to support runit v1.7.x [SME: 1179]

* Thu Dec 07 2006 Shad L. Lords <slords@mail.com>
- Update to new release naming.  No functional changes.
- Make Packager generic

* Tue Aug 22 2006 Charlie Brady <charlie_brady@mitel.com> 1.0.0-02
- Add support for 'condrestart' param. [SME: 1870]

* Wed Mar 15 2006 Charlie Brady <charlie_brady@mitel.com> 1.0.0-01
- Roll stable stream version. [SME: 1016]

* Wed Nov 30 2005 Gordon Rowell <gordonr@gormand.com.au> 0.0.1-06
- Bump release number only

* Wed Jun 15 2005 Charlie Brady <charlieb@e-smith.com>
- [0.0.1-05]
- Provide more user feedback from init.d/daemontools script.
  [SF: 1218682]

* Tue Apr 26 2005 Charlie Brady <charlieb@e-smith.com>
- [0.0.1-04]
- Reopen stdin from /dev/null before running runsvdir. This prevents any
  supervised services from stealing console input from VT1's getty/console.

* Wed Dec  1 2004 Charlie Brady <charlieb@e-smith.com>
- [0.0.1-03]
- Call runsvctrl multiple times for multiple args - can't combine
  them (unlike svc).

* Tue Sep 28 2004 Charlie Brady <charlieb@e-smith.com>
- [0.0.1-02]
- Add Obsoletes header for supervise-scripts

* Fri Sep 24 2004 Charlie Brady <charlieb@e-smith.com> 0.0.1-01
- Initial - functional replacement for e-smith-daemontools 1.7.1-09.

%description
Provide integration of Gerrit Pape's runit package into a SysV init script
process environment.

%prep
%setup
mkdir -p root/etc/e-smith/events

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-%{release}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    > %{name}-%{version}-%{release}-filelist
echo "%doc COPYING" >> %{name}-%{version}-%{release}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%preun
%post
%postun

%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root)
